# PetscStrncat

Concatenates a string onto a given string, up to a given length

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscStrncat(char s[],const char t[],size_t n)

Not Collective

### Input Parameters

| s | - pointer to string to be added to end
| t | - string to be added to
| n | - maximum length to copy

### See Also

PetscStrcpy(), PetscStrncpy(), PetscStrcat()

Level:intermediate
Location: src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages